Package org.codehaus.groovy.control.io

# Class NullWriter

java.lang.Object
java.io.Writer
org.codehaus.groovy.control.io.NullWriter

All Implemented Interfaces:
  `Closeable`, `Flushable`, `Appendable`, `AutoCloseable`

public class NullWriter extends Writer
An Writer than eats its input.

Author:
  Chris Poirier

## Field Summary

Fields
Modifier and Type
Field
Description
`static final NullWriter`
`DEFAULT`

### Fields inherited from class java.io.Writer

`lock`

## Constructor Summary

Constructors
Constructor
Description
`NullWriter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`flush()`
`void`
`write(char[] cbuf, int off, int len)`

### Methods inherited from class java.io.Writer

`append, append, append, nullWriter, write, write, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT

public static final NullWriter DEFAULT

## Constructor Details

### NullWriter

public NullWriter()

## Method Details

### close

public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in class `Writer`

### flush

public void flush()

Specified by:
  `flush` in interface `Flushable`
Specified by:
  `flush` in class `Writer`

### write

public void write(char[] cbuf, int off, int len)

Specified by:
  `write` in class `Writer`